<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 3:51 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idOficina']) && isset($_REQUEST['nombre']) && isset($_REQUEST['ubicacion']) && isset($_REQUEST['telefono']) && isset($_REQUEST['correo'])) {
            $oficinaadministrativo = R::load('oficinaadministrativa', $_REQUEST['idOficina']);
            $oficinaadministrativo->nombre = $_REQUEST['nombre'];
            $oficinaadministrativo->ubicacion = $_REQUEST['ubicacion'];
            $oficinaadministrativo->telefono = $_REQUEST['telefono'];
            $oficinaadministrativo->correo = $_REQUEST['correo'];
            $oficinaadministrativo->fechaModificacion = date('Y-m-d H:i:s');
            $oficinaadministrativo->estado = 1;
            $id = R::store($oficinaadministrativo);
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}